edje::object Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
edje::object Struct Reference

Class object. More...

## Public Member Functions
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | part_table_clear (::efl::eina::string_view part_, bool clear_) const
| Removes all object from the table. More...
Edje_External_Param_Type | part_external_param_type_get (::efl::eina::string_view part_, const char *param_) const
| Facility to query the type of the given parameter of the given part. More...
void | part_text_select_allow_set (::efl::eina::string_view part_, bool allow_) const
| Enables selection if the entry is an EXPLICIT selection mode type. More...
::efl::eina::string_view | part_state_get (::efl::eina::string_view part_, double *val_ret_) const
| Returns the state of the Edje part. More...
void * | text_markup_filter_callback_del_full (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_, void *data_) const
| Delete a function and matching user data from the markup filter list. More...
bool | part_drag_step_set (::efl::eina::string_view part_, double dx_, double dy_) const
| Sets the drag step increment. More...
bool | part_drag_step_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
| Gets the drag step increment values. More...
void * | part_text_imf_context_get (::efl::eina::string_view part_) const
| Get the input method context in entry. More...
void | part_text_select_begin (::efl::eina::string_view part_) const
| Starts selecting at current cursor position. More...
::efl::eina::string_view | part_text_style_user_peek (::efl::eina::string_view part_) const
| Return the text of the object part. More...
template<typename F_func_ >
void * | signal_callback_del (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
| Remove a signal-triggered callback from an object. More...
bool | part_text_cursor_next (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Advances the cursor to the next cursor position. More...
void | part_text_style_user_push (::efl::eina::string_view part_,::efl::eina::string_view style_) const
| Set the style of the. More...
void | part_text_append (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Insert text for an object part. More...
bool | part_geometry_get (::efl::eina::string_view part_, Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieve the geometry of a given Edje part, in a given Edje object's group definition, relative to the object's area More...
void | part_text_input_panel_hide (::efl::eina::string_view part_) const
| Hide the input panel (virtual keyboard). More...
bool | part_text_item_geometry_get (::efl::eina::string_view part_,::efl::eina::string_view item_, Evas_Coord *cx_, Evas_Coord *cy_, Evas_Coord *cw_, Evas_Coord *ch_) const
| Return item geometry. More...
bool | part_table_unpack (::efl::eina::string_view part_,::evas::object child_obj_) const
| Removes an object from the table. More...
void | part_text_select_abort (::efl::eina::string_view part_) const
| Aborts any selection action on a part. More...
void * | text_insert_filter_callback_del_full (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_, void *data_) const
| Delete a function and matching user data from the filter list. More...
void | part_text_style_user_pop (::efl::eina::string_view part_) const
| Delete the top style form the user style stack. More...
void | part_text_input_panel_imdata_set (::efl::eina::string_view part_, const void *data_, int len_) const
| Set the input panel-specific data to deliver to the input panel. More...
void | part_text_input_panel_imdata_get (::efl::eina::string_view part_, void *data_, int *len_) const
| Get the specific data of the current active input panel. More...
void | part_text_insert (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Insert text for an object part. More...
::evas::object | part_box_remove_at (::efl::eina::string_view part_, unsigned int pos_) const
| Removes an object from the box. More...
void | part_text_cursor_copy (::efl::eina::string_view part_, Edje_Cursor src_, Edje_Cursor dst_) const
| Copy the cursor to another cursor. More...
bool | parts_extends_calc (Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Calculate the geometry of the region, relative to a given Edje object's area, occupied by all parts in the object More...
bool | part_drag_value_set (::efl::eina::string_view part_, double dx_, double dy_) const
| Set the dragable object location. More...
bool | part_drag_value_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
| Get the dragable object location. More...
void | calc_force () const
| Force a Size/Geometry calculation. More...
void | part_text_cursor_pos_set (::efl::eina::string_view part_, Edje_Cursor cur_, int pos_) const
| Sets the cursor position to the given value. More...
int | part_text_cursor_pos_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Retrieves the current position of the cursor. More...
int | freeze () const
| Freezes the Edje object. More...
char * | part_text_cursor_content_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Returns the content (char) at the cursor position. More...
void | part_text_input_panel_layout_set (::efl::eina::string_view part_, Edje_Input_Panel_Layout layout_) const
| Set the layout of the input panel. More...
Edje_Input_Panel_Layout | part_text_input_panel_layout_get (::efl::eina::string_view part_) const
| Get the layout of the input panel. More...
bool | part_table_pack (::efl::eina::string_view part_,::evas::object child_obj_, unsigned short col_, unsigned short row_, unsigned short colspan_, unsigned short rowspan_) const
| Packs an object into the table. More...
void | part_text_input_panel_language_set (::efl::eina::string_view part_, Edje_Input_Panel_Lang lang_) const
| Set the language mode of the input panel. More...
Edje_Input_Panel_Lang | part_text_input_panel_language_get (::efl::eina::string_view part_) const
| Get the language mode of the input panel. More...
bool | part_table_col_row_size_get (::efl::eina::string_view part_, int *cols_, int *rows_) const
| Gets the number of columns and rows the table has. More...
::evas::object | part_external_object_get (::efl::eina::string_view part_) const
| Get the object created by this external part. More...
::evas::object | part_external_content_get (::efl::eina::string_view part_, const char *content_) const
| Get an object contained in an part of type EXTERNAL. More...
bool | preload (bool cancel_) const
| Preload the images on the Edje Object in the background. More...
void | part_text_input_panel_enabled_set (::efl::eina::string_view part_, bool enabled_) const
| Sets the attribute to show the input panel automatically. More...
bool | part_text_input_panel_enabled_get (::efl::eina::string_view part_) const
| Retrieve the attribute to show the input panel automatically. More...
void | part_text_select_extend (::efl::eina::string_view part_) const
| Extends the current selection to the current cursor position. More...
bool | part_box_insert_at (::efl::eina::string_view part_,::evas::object child_, unsigned int pos_) const
| Inserts an object to the box. More...
::efl::eina::crange_list< const Evas_Textblock_Rectangle * > | part_text_anchor_geometry_get (::efl::eina::string_view part_,::efl::eina::string_view anchor_) const
| Return a list of Evas_Textblock_Rectangle anchor rectangles. More...
bool | part_text_cursor_down (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the char below the current cursor position. More...
bool | part_drag_page_set (::efl::eina::string_view part_, double dx_, double dy_) const
| Sets the page step increments. More...
bool | part_drag_page_get (::efl::eina::string_view part_, double *dx_, double *dy_) const
| Gets the page step increments. More...
bool | part_box_prepend (::efl::eina::string_view part_,::evas::object child_) const
| Prepends an object to the box. More...
void | signal_emit (::efl::eina::string_view emission_,::efl::eina::string_view source_) const
| Send/emit an Edje signal to a given Edje object. More...
void | part_text_input_panel_layout_variation_set (::efl::eina::string_view part_, int variation_) const
| Set the layout variation of the input panel. More...
int | part_text_input_panel_layout_variation_get (::efl::eina::string_view part_) const
| Get the layout variation of the input panel. More...
void | message_send (Edje_Message_Type type_, int id_, void *msg_) const
| Send an (Edje) message to a given Edje object. More...
void | part_text_select_none (::efl::eina::string_view part_) const
| Set the selection to be none. More...
const Evas_Object * | part_object_get (::efl::eina::string_view part_) const
| Get a handle to the Evas object implementing a given Edje part, in an Edje object. More...
bool | part_drag_size_set (::efl::eina::string_view part_, double dw_, double dh_) const
| Set the dragable object size. More...
bool | part_drag_size_get (::efl::eina::string_view part_, double *dw_, double *dh_) const
| Get the dragable object size. More...
void * | text_insert_filter_callback_del (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_) const
| Delete a function from the filter list. More...
Edje_Drag_Dir | part_drag_dir_get (::efl::eina::string_view part_) const
| Determine dragable directions. More...
bool | part_text_unescaped_set (::efl::eina::string_view part_,::efl::eina::string_view text_to_escape_) const
| Sets the raw (non escaped) text for an object part. More...
char * | part_text_unescaped_get (::efl::eina::string_view part_) const
| Returns the text of the object part, without escaping. More...
template<typename F_func_ >
void | signal_callback_add (::efl::eina::string_view emission_,::efl::eina::string_view source_, F_func_ &&func_) const
| Add a callback for an arriving Edje signal, emitted by a given Edje object. More...
void | part_text_select_all (::efl::eina::string_view part_) const
| Set the selection to be everything. More...
void | part_text_input_panel_return_key_disabled_set (::efl::eina::string_view part_, bool disabled_) const
| Set the return key on the input panel to be disabled. More...
bool | part_text_input_panel_return_key_disabled_get (::efl::eina::string_view part_) const
| Get whether the return key on the input panel should be disabled or not. More...
void | part_text_autocapital_type_set (::efl::eina::string_view part_, Edje_Text_Autocapital_Type autocapital_type_) const
| Set the autocapitalization type on the immodule. More...
Edje_Text_Autocapital_Type | part_text_autocapital_type_get (::efl::eina::string_view part_) const
| Retrieves the autocapitalization type. More...
void | part_unswallow (::evas::object obj_swallow_) const
| Unswallow an object. More...
void | part_text_prediction_allow_set (::efl::eina::string_view part_, bool prediction_) const
| Set whether the prediction is allowed or not. More...
bool | part_text_prediction_allow_get (::efl::eina::string_view part_) const
| Get whether the prediction is allowed or not. More...
::efl::eina::string_view | data_get (::efl::eina::string_view key_) const
| Retrive an EDC data field's value from a given Edje object's group. More...
void | text_markup_filter_callback_add (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_, void *data_) const
| Add a markup filter function for newly inserted text. More...
void | message_signal_process () const
| Process an object's message queue. More...
::evas::object | part_box_remove (::efl::eina::string_view part_,::evas::object child_) const
| Removes an object from the box. More...
int | thaw () const
| Thaws the Edje object. More...
::evas::object | part_swallow_get (::efl::eina::string_view part_) const
| Get the object currently swallowed by a part. More...
void | part_text_imf_context_reset (::efl::eina::string_view part_) const
| Reset the input method context if needed. More...
void | part_text_input_panel_return_key_type_set (::efl::eina::string_view part_, Edje_Input_Panel_Return_Key_Type return_key_type_) const
| Set the "return" key type. More...
Edje_Input_Panel_Return_Key_Type | part_text_input_panel_return_key_type_get (::efl::eina::string_view part_) const
| Get the "return" key type. More...
::evas::object | part_table_child_get (::efl::eina::string_view part_, unsigned int col_, unsigned int row_) const
| Retrieve a child from a table. More...
bool | part_box_insert_before (::efl::eina::string_view part_,::evas::object child_, const Evas_Object *reference_) const
| Adds an object to the box. More...
bool | part_external_param_set (::efl::eina::string_view part_, const Edje_External_Param *param_) const
| Set the parameter for the external part. More...
bool | part_external_param_get (::efl::eina::string_view part_, Edje_External_Param *param_) const
| Get the parameter for the external part. More...
void | size_min_calc (Evas_Coord *minw_, Evas_Coord *minh_) const
| Calculate the minimum required size for a given Edje object. More...
bool | part_box_append (::efl::eina::string_view part_,::evas::object child_) const
| Appends an object to the box. More...
void | size_min_restricted_calc (Evas_Coord *minw_, Evas_Coord *minh_, Evas_Coord restrictedw_, Evas_Coord restrictedh_) const
| Calculate the minimum required size for a given Edje object. More...
bool | part_box_remove_all (::efl::eina::string_view part_, bool clear_) const
| Removes all elements from the box. More...
bool | part_drag_page (::efl::eina::string_view part_, double dx_, double dy_) const
| Pages x,y steps. More...
bool | part_text_set (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Sets the text for an object part. More...
::efl::eina::string_view | part_text_get (::efl::eina::string_view part_) const
| Return the text of the object part. More...
void | part_text_input_panel_show_on_demand_set (::efl::eina::string_view part_, bool ondemand_) const
| Set the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
bool | part_text_input_panel_show_on_demand_get (::efl::eina::string_view part_) const
| Get the attribute to show the input panel in case of only an user's explicit Mouse Up event. More...
void | part_text_input_hint_set (::efl::eina::string_view part_, Edje_Input_Hints input_hints_) const
| Sets the input hint which allows input methods to fine-tune their behavior. More...
Edje_Input_Hints | part_text_input_hint_get (::efl::eina::string_view part_) const
| Gets the value of input hint. More...
::efl::eina::string_view | part_text_selection_get (::efl::eina::string_view part_) const
| Return the selection text of the object part. More...
bool | part_text_cursor_is_format_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Returns whether the cursor points to a format. More...
bool | text_class_get (::efl::eina::string_view text_class_, const char **font_, Evas_Font_Size *size_) const
| Gets font and font size from edje text class. More...
bool | color_class_set (::efl::eina::string_view color_class_, int r_, int g_, int b_, int a_, int r2_, int g2_, int b2_, int a2_, int r3_, int g3_, int b3_, int a3_) const
| Sets the object color class. More...
bool | color_class_get (::efl::eina::string_view color_class_, int *r_, int *g_, int *b_, int *a_, int *r2_, int *g2_, int *b2_, int *a2_, int *r3_, int *g3_, int *b3_, int *a3_) const
| Gets the object color class. More...
::efl::eina::string_view | color_class_description_get (::efl::eina::string_view color_class_) const
| Gets the description of an object color class. More...
bool | part_drag_step (::efl::eina::string_view part_, double dx_, double dy_) const
| Steps the dragable x,y steps. More...
bool | part_text_cursor_up (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Move the cursor to the char above the current cursor position. More...
void | part_text_cursor_geometry_get (::efl::eina::string_view part_, Evas_Coord *x_, Evas_Coord *y_, Evas_Coord *w_, Evas_Coord *h_) const
| Returns the cursor geometry of the part relative to the edje object. More...
::efl::eina::crange_list< ::efl::eina::string_view > | part_text_anchor_list_get (::efl::eina::string_view part_) const
| Return a list of char anchor names. More...
void | text_insert_filter_callback_add (::efl::eina::string_view part_, Edje_Text_Filter_Cb func_, void *data_) const
| Add a filter function for newly inserted text. More...
void | part_text_input_panel_show (::efl::eina::string_view part_) const
| Show the input panel (virtual keyboard) based on the input panel property such as layout, autocapital types, and so on. More...
bool | part_exists (::efl::eina::string_view part_) const
| Check if an Edje part exists in a given Edje object's group definition. More...
void * | text_markup_filter_callback_del (::efl::eina::string_view part_, Edje_Markup_Filter_Cb func_) const
| Delete a function from the markup filter list. More...
bool | part_text_cursor_is_visible_format_get (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Return true if the cursor points to a visible format For example \t, \n, item and etc. More...
void | part_text_user_insert (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| This function inserts text as if the user has inserted it. More...
bool | part_text_cursor_prev (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the previous char. More...
::efl::eina::crange_list< ::efl::eina::string_view > | part_text_item_list_get (::efl::eina::string_view part_) const
| Return a list of char item names. More...
bool | part_swallow (::efl::eina::string_view part_,::evas::object obj_swallow_) const
| "Swallows" an object into one of the Edje object `SWALLOW` parts. More...
bool | update_hints_get () const
| Whether or not Edje will update size hints on itself. More...
void | update_hints_set (bool update_) const
| Edje will automatically update the size hints on itself. More...
bool | mirrored_get () const
| Get the RTL orientation for this object. More...
void | mirrored_set (bool rtl_) const
| Set the RTL orientation for this object. More...
bool | animation_get () const
| Get the Edje object's animation state. More...
void | animation_set (bool on_) const
| Set the object's animation state. More...
bool | play_get () const
| Get the Edje object's state. More...
void | play_set (bool play_) const
| Set the Edje object to playing or paused states. More...
const Edje_Perspective * | perspective_get () const
| Get the current perspective used on this Edje object. More...
void | perspective_set (Edje_Perspective *ps_) const
| Set the given perspective object on this Edje object. More...
double | scale_get () const
| Get a given Edje object's scaling factor. More...
bool | scale_set (double scale_) const
| Set the scaling factor for a given Edje object. More...
double | base_scale_get () const
| Get a given Edje object's base_scale factor. More...
void | text_change_cb_set (Edje_Text_Change_Cb func_, void *data_) const
| Set the object text callback. More...
void | part_text_cursor_begin_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the beginning of the text part. More...
void | part_text_cursor_line_end_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Move the cursor to the end of the line. More...
bool | text_class_set (::efl::eina::string_view text_class_,::efl::eina::string_view font_, Evas_Font_Size size_) const
| Sets Edje text class. More...
bool | part_text_cursor_coord_set (::efl::eina::string_view part_, Edje_Cursor cur_, Evas_Coord x_, Evas_Coord y_) const
| Position the given cursor to a X,Y position. More...
void | part_text_cursor_end_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Moves the cursor to the end of the text part. More...
bool | part_text_escaped_set (::efl::eina::string_view part_,::efl::eina::string_view text_) const
| Sets the text for an object part, but converts HTML escapes to UTF8. More...
void | item_provider_set (Edje_Item_Provider_Cb func_, void *data_) const
| Set the function that provides item objects for named items in an edje entry text. More...
void | part_text_cursor_line_begin_set (::efl::eina::string_view part_, Edje_Cursor cur_) const
| Move the cursor to the beginning of the line. More...
void | message_handler_set (Edje_Message_Handler_Cb func_, void *data_) const
| Set an Edje message handler function for a given Edje object. More...
void | size_min_get (Evas_Coord *minw_, Evas_Coord *minh_) const
| Get the minimum size specified – as an EDC property – for a given Edje object. More...
::efl::eina::range_list< ::efl::eina::string_view > | access_part_list_get () const
| Retrieve a list all accessibility part names. More...
Edje_Load_Error | load_error_get () const
| Gets the (last) file loading error for a given Edje object. More...
void | size_max_get (Evas_Coord *maxw_, Evas_Coord *maxh_) const
| Get the maximum size specified – as an EDC property – for a given Edje object. More...
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Error occured in asynchronous file operation.
template<typename T >
void | callback_async_error_call (T *info)
| Error occured in asynchronous file operation.
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| The file was successfully opened asynchronously.
template<typename T >
void | callback_async_opened_call (T *info)
| The file was successfully opened asynchronously.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object (::efl::eo::parent_type _p)
| Constructs a new edje::object object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const
Public Member Functions inherited from efl::file
| file (Eo *eo)
| Eo Constructor. More...
| file (std::nullptr_t)
| nullptr_t Constructor. More...
| file (file const &other)
| Copy Constructor.
bool | save (::efl::eina::string_view file_,::efl::eina::string_view key_,::efl::eina::string_view flags_) const
| Save the given image object's contents to an (image) file. More...
void | eject () const
| Eject the represented object. More...
bool | async_wait () const
| Block and wait until all asynchronous operations are completed. More...
void | mmap_get (const Eina_File **f_, const char **key_) const
| Get the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File). More...
bool | mmap_set (const Eina_File *f_,::efl::eina::string_view key_) const
| Set the source mmaped file from where an image object must fetch the real image data (it must be an Eina_File). More...
void | file_get (const char **file_, const char **key_) const
| Retrieve the source file from where an image object is to fetch the real image data (it may be an Eet file, besides pure image ones). More...
bool | file_set (::efl::eina::string_view file_,::efl::eina::string_view key_) const
| Set the source file from where an image object must fetch the real image data (it may be an Eet file, besides pure image ones). More...
bool | async_get () const
| Retrieves the asynchronous open flag, which will be true only if enabled and supported by the object. More...
void | async_set (bool async_) const
| If true, file open will happen asynchronously allowing for better performance in some situations. More...
template<typename F >
::efl::eo::signal_connection | callback_async_error_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Error occured in asynchronous file operation.
template<typename T >
void | callback_async_error_call (T *info)
| Error occured in asynchronous file operation.
template<typename F >
::efl::eo::signal_connection | callback_async_opened_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| The file was successfully opened asynchronously.
template<typename T >
void | callback_async_opened_call (T *info)
| The file was successfully opened asynchronously.
| file (::efl::eo::parent_type _p)
| Constructs a new efl::file object. More...
Public Member Functions inherited from efl::gfx::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | position_get (int *x_, int *y_) const
| Retrieves the position of the given Evas object. More...
void | position_set (int x_, int y_) const
| Move the given Evas object to the given location inside its canvas' viewport. More...
void | size_get (int *w_, int *h_) const
| Retrieves the (rectangular) size of the given Evas object. More...
void | size_set (int w_, int h_) const
| Changes the size of the given Evas object. More...
void | color_get (int *r_, int *g_, int *b_, int *a_) const
| Retrieves the general/main color of the given Evas object. More...
void | color_set (int r_, int g_, int b_, int a_) const
| Sets the general/main color of the given Evas object to the given one. More...
bool | color_part_get (::efl::eina::string_view part_, int *r_, int *g_, int *b_, int *a_) const
| Retrieves a specific color of the given Evas object. More...
bool | color_part_set (::efl::eina::string_view part_, int r_, int g_, int b_, int a_) const
| Sets a specifc color of the given Efl.Gfx.Base object to the given one. More...
bool | visible_get () const
| Retrieves whether or not the given Evas object is visible. More...
void | visible_set (bool v_) const
| Makes the given Evas object visible or invisible. More...
| base (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::base object. More...
Public Member Functions inherited from efl::gfx::stack
| stack (Eo *eo)
| Eo Constructor. More...
| stack (std::nullptr_t)
| nullptr_t Constructor. More...
| stack (stack const &other)
| Copy Constructor.
void | stack_below (Efl_Gfx_Stack *below_) const
| Stack `obj` immediately below `below`. More...
void | raise () const
| Raise `obj` to the top of its layer. More...
void | stack_above (Efl_Gfx_Stack *above_) const
| Stack `obj` immediately above `above`. More...
void | lower () const
| Lower `obj` to the bottom of its layer. More...
short | layer_get () const
| Retrieves the layer of its canvas that the given object is part of. More...
void | layer_set (short l_) const
| Sets the layer of its canvas that the given object will be part of. More...
Efl_Gfx_Stack * | below_get () const
| Get the Evas object stacked right below `obj`. More...
Efl_Gfx_Stack * | above_get () const
| Get the Evas object stacked right above `obj`. More...
| stack (::efl::eo::parent_type _p)
| Constructs a new efl::gfx::stack object. More...
Public Member Functions inherited from eo::base
| base (Eo *eo)
| Eo Constructor. More...
| base (std::nullptr_t)
| nullptr_t Constructor. More...
| base (base const &other)
| Copy Constructor.
void | event_callback_forwarder_del (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Remove an event callback forwarder for an event and an object. More...
void | event_thaw () const
| thaw events of object. More...
void | event_freeze () const
| freeze events of object. More...
void | event_callback_array_del (const Eo_Callback_Array_Item *array_, const void *user_data_) const
| Del a callback array with a specific data associated to it for an event. More...
void | wref_del (Eo **wref_) const
| Delete the weak reference passed. More...
void | destructor () const
| Call the object's destructor. More...
::efl::eo::concrete | finalize () const
| Called at the end of #eo_add. More...
void | key_data_set (::efl::eina::string_view key_, const void *data_, eo_key_data_free_func free_func_) const
| Set generic data to object. More...
void * | key_data_get (::efl::eina::string_view key_) const
| Get generic data from object. More...
void | event_callback_del (const Eo_Event_Description *desc_, Eo_Event_Cb func_, const void *user_data_) const
| Del a callback with a specific data associated to it for an event. More...
void | key_data_del (::efl::eina::string_view key_) const
| Del generic data from object. More...
void | event_callback_array_priority_add (const Eo_Callback_Array_Item *array_, Eo_Callback_Priority priority_, const void *data_) const
| Add a callback array for an event with a specific priority. More...
void | wref_add (::efl::eo::concrete *wref_) const
| Add a new weak reference to obj. More...
void | dbg_info_get (Eo_Dbg_Info *root_node_) const
| Get dbg information from the object. More...
void | event_callback_forwarder_add (const Eo_Event_Description *desc_,::efl::eo::concrete new_obj_) const
| Add an event callback forwarder for an event and an object. More...
bool | event_callback_call (const Eo_Event_Description *desc_, void *event_info_) const
| Call the callbacks for an event of an object. More...
void | event_callback_priority_add (const Eo_Event_Description *desc_, Eo_Callback_Priority priority_, Eo_Event_Cb cb_, const void *data_) const
| Add a callback for an event with a specific priority. More...
Eina_Iterator * | children_iterator_new () const
| Get an iterator on all childrens.
bool | composite_attach (::efl::eo::concrete comp_obj_) const
bool | composite_detach (::efl::eo::concrete comp_obj_) const
bool | composite_part_is () const
::efl::eo::concrete | parent_get () const
| Get the parent of an object. More...
void | parent_set (::efl::eo::concrete parent_) const
| Set the parent of an object Parents keep references to their children so in order to delete objects that have parents you need to set parent to NULL or use eo_del() that does that for you (and also unrefs the object). More...
int | event_global_freeze_count_get () const
| return freeze events of object. More...
int | event_freeze_count_get () const
| return freeze events of object. More...
bool | finalized_get () const
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Obj is being deleted.
template<typename T >
void | callback_del_call (T *info)
| Obj is being deleted.
| base (::efl::eo::parent_type _p)
| Constructs a new eo::base object. More...
Public Member Functions inherited from evas::common_interface
| common_interface (Eo *eo)
| Eo Constructor. More...
| common_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| common_interface (common_interface const &other)
| Copy Constructor.
Evas * | evas_get () const
| No description supplied by the EAPI. More...
| common_interface (::efl::eo::parent_type _p)
| Constructs a new evas::common_interface object. More...
Public Member Functions inherited from evas::object
| object (Eo *eo)
| Eo Constructor. More...
| object (std::nullptr_t)
| nullptr_t Constructor. More...
| object (object const &other)
| Copy Constructor.
bool | clipees_has () const
| Test if any object is clipped by `obj`. More...
bool | key_grab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_, bool exclusive_) const
| Requests `keyname` key events be directed to `obj`. More...
bool | smart_type_check (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class. More...
::evas::object | name_child_find (::efl::eina::string_view name_, int recurse_) const
| Retrieves the object from children of the given object with the given name. More...
void | key_ungrab (::efl::eina::string_view keyname_, Evas_Modifier_Mask modifiers_, Evas_Modifier_Mask not_modifiers_) const
| Removes the grab on `keyname` key events by `obj`. More...
void | clip_unset () const
| Disable/cease clipping on a clipped `obj` object. More...
void | smart_move_children_relative (Evas_Coord dx_, Evas_Coord dy_) const
| Moves all children objects of a given smart object relative to a given offset. More...
bool | smart_type_check_ptr (::efl::eina::string_view type_) const
| Checks whether a given smart object or any of its smart object parents is of a given smart class, using pointer comparison. More...
void | size_hint_max_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's maximum size. More...
void | size_hint_max_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's maximum size. More...
void | size_hint_request_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's optimum size. More...
void | size_hint_request_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's optimum size. More...
::efl::eina::string_view | type_get () const
| Retrieves the type of the given Evas object. More...
void | type_set (::efl::eina::string_view type_) const
| Sets the type of the given Evas object. More...
void | size_hint_min_get (Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's minimum size. More...
void | size_hint_min_set (Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's minimum size. More...
Evas_Object_Pointer_Mode | pointer_mode_get () const
| Determine how pointer will behave. More...
void | pointer_mode_set (Evas_Object_Pointer_Mode pointer_mode_) const
| Set pointer behavior. More...
Evas_Render_Op | render_op_get () const
| Retrieves the current value of the operation used for rendering the Evas object. More...
void | render_op_set (Evas_Render_Op render_op_) const
| Sets the render_op to be used for rendering the Evas object. More...
bool | freeze_events_get () const
| Determine whether an object is set to freeze (discard) events. More...
void | freeze_events_set (bool freeze_) const
| Set whether an Evas object is to freeze (discard) events. More...
const Evas_Map * | map_get () const
| Get current object transformation map. More...
void | map_set (const Evas_Map *map_) const
| Set current object transformation map. More...
void | size_hint_aspect_get (Evas_Aspect_Control *aspect_, Evas_Coord *w_, Evas_Coord *h_) const
| Retrieves the hints for an object's aspect ratio. More...
void | size_hint_aspect_set (Evas_Aspect_Control aspect_, Evas_Coord w_, Evas_Coord h_) const
| Sets the hints for an object's aspect ratio. More...
::evas::object | clip_get () const
| Get the object clipping `obj` (if any). More...
void | clip_set (::evas::object clip_) const
| Clip one object to another. More...
void | size_hint_padding_get (Evas_Coord *l_, Evas_Coord *r_, Evas_Coord *t_, Evas_Coord *b_) const
| Retrieves the hints for an object's padding space. More...
void | size_hint_padding_set (Evas_Coord l_, Evas_Coord r_, Evas_Coord t_, Evas_Coord b_) const
| Sets the hints for an object's padding space. More...
bool | repeat_events_get () const
| Determine whether an object is set to repeat events. More...
void | repeat_events_set (bool repeat_) const
| Set whether an Evas object is to repeat events. More...
void | size_hint_weight_get (double *x_, double *y_) const
| Retrieves the hints for an object's weight. More...
void | size_hint_weight_set (double x_, double y_) const
| Sets the hints for an object's weight. More...
::efl::eina::string_view | name_get () const
| Retrieves the name of the given Evas object. More...
void | name_set (::efl::eina::string_view name_) const
| Sets the name of the given Evas object to the given name. More...
double | scale_get () const
| Retrieves the scaling factor for the given Evas object. More...
void | scale_set (double scale_) const
| Sets the scaling factor for an Evas object. More...
bool | static_clip_get () const
| Get the "static clipper" hint flag for a given Evas object. More...
void | static_clip_set (bool is_static_clip_) const
| Set a hint flag on the given Evas object that it's used as a "static clipper". More...
bool | focus_get () const
| Retrieve whether an object has the focus. More...
void | focus_set (bool focus_) const
| Sets or unsets a given object as the currently focused one on its canvas. More...
bool | is_frame_object_get () const
void | is_frame_object_set (bool is_frame_) const
bool | map_enable_get () const
| Get the map enabled state. More...
void | map_enable_set (bool enabled_) const
| Enable or disable the map that is set. More...
bool | precise_is_inside_get () const
| Determine whether an object is set to use precise point collision detection. More...
void | precise_is_inside_set (bool precise_) const
| Set whether to use precise (usually expensive) point collision detection for a given Evas object. More...
void | size_hint_align_get (double *x_, double *y_) const
| Retrieves the hints for on object's alignment. More...
void | size_hint_align_set (double x_, double y_) const
| Sets the hints for an object's alignment. More...
bool | propagate_events_get () const
| Retrieve whether an Evas object is set to propagate events. More...
void | propagate_events_set (bool propagate_) const
| Set whether events on a smart object's member should get propagated up to its parent. More...
bool | pass_events_get () const
| Determine whether an object is set to pass (ignore) events. More...
void | pass_events_set (bool pass_) const
| Set whether an Evas object is to pass (ignore) events. More...
bool | anti_alias_get () const
| Retrieves whether or not the given Evas object is to be drawn anti_aliased. More...
void | anti_alias_set (bool anti_alias_) const
| Sets whether or not the given Evas object is to be drawn anti-aliased. More...
void * | smart_data_get () const
| Retrieve user data stored on a given smart object. More...
::evas::object | smart_clipped_clipper_get () const
| Get the clipper object for the given clipped smart object. More...
::efl::eina::crange_list< ::evas::object > | clipees_get () const
| Return a list of objects currently clipped by `obj`. More...
::evas::object | smart_parent_get () const
| Gets the parent smart object of a given Evas object, if it has one. More...
Evas_Display_Mode | size_hint_display_mode_get () const
| Retrieves the hints for an object's display mode. More...
void | size_hint_display_mode_set (Evas_Display_Mode dispmode_) const
| Sets the hints for an object's disply mode. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Deleted (called before Free)
template<typename T >
void | callback_del_call (T *info)
| Object Being Deleted (called before Free)
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object (::efl::eo::parent_type _p)
| Constructs a new evas::object object. More...
Public Member Functions inherited from evas::object_smart
| object_smart (Eo *eo)
| Eo Constructor. More...
| object_smart (std::nullptr_t)
| nullptr_t Constructor. More...
| object_smart (object_smart const &other)
| Copy Constructor.
void | show () const
| No description supplied by the EAPI.
void | move (Evas_Coord x_, Evas_Coord y_) const
| No description supplied by the EAPI. More...
bool | callbacks_descriptions_set (const Evas_Smart_Cb_Description *descriptions_) const
| Set an smart object instance's smart callbacks descriptions. More...
void | callbacks_descriptions_get (const Evas_Smart_Cb_Description ***class_descriptions_, unsigned int *class_count_, const Evas_Smart_Cb_Description ***instance_descriptions_, unsigned int *instance_count_) const
| Retrieve an smart object's know smart callback descriptions (both instance and class ones). More...
Eina_Iterator * | iterator_new () const
| Retrieves an iterator of the member objects of a given Evas smart object. More...
void | callback_description_find (::efl::eina::string_view name_, const Evas_Smart_Cb_Description **class_description_, const Evas_Smart_Cb_Description **instance_description_) const
| Find callback description for callback called name. More...
void | hide () const
| No description supplied by the EAPI.
void | calculate () const
| Call the calculate() smart function immediately on a given smart object. More...
void | add () const
| Instantiates a new smart object described by `s`. More...
void | member_add (::evas::object sub_obj_) const
| Set an Evas object as a member of a given smart object. More...
void | resize (Evas_Coord w_, Evas_Coord h_) const
| No description supplied by the EAPI. More...
void | clip_unset () const
| No description supplied by the EAPI.
void | changed () const
| Mark smart object as changed, dirty. More...
void | member_del (::evas::object sub_obj_) const
| Removes a member object from a given smart object. More...
void | del () const
| Deletes a smart object.
void | attach (Evas_Smart *s_) const
| Attach a given smart data to a given smart object. More...
bool | need_recalculate_get () const
| Get the value of the flag signalling that a given smart object needs to get recalculated. More...
void | need_recalculate_set (bool value_) const
| Set or unset the flag signalling that a given smart object needs to get recalculated. More...
void | clip_set (::evas::object clip_) const
| No description supplied by the EAPI. More...
void | color_set (int r_, int g_, int b_, int a_) const
| No description supplied by the EAPI. More...
void | data_set (void *data_) const
| Store a pointer to user data for a given smart object. More...
::efl::eina::range_list< ::evas::object > | members_get () const
| Retrieves the list of the member objects of a given Evas smart object. More...
Evas_Smart * | smart_get () const
| Get the Evas_Smart from which `obj` smart object was created. More...
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| object_smart (::efl::eo::parent_type _p)
| Constructs a new evas::object_smart object. More...
Public Member Functions inherited from evas::signal_interface
| signal_interface (Eo *eo)
| Eo Constructor. More...
| signal_interface (std::nullptr_t)
| nullptr_t Constructor. More...
| signal_interface (signal_interface const &other)
| Copy Constructor.
| signal_interface (::efl::eo::parent_type _p)
| Constructs a new evas::signal_interface object. More...
Public Member Functions inherited from evas::smart_clipped
| smart_clipped (Eo *eo)
| Eo Constructor. More...
| smart_clipped (std::nullptr_t)
| nullptr_t Constructor. More...
| smart_clipped (smart_clipped const &other)
| Copy Constructor.
template<typename F >
::efl::eo::signal_connection | callback_callback_add_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was added.
template<typename T >
void | callback_callback_add_call (T *info)
| A callback was added.
template<typename F >
::efl::eo::signal_connection | callback_callback_del_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| A callback was deleted.
template<typename T >
void | callback_callback_del_call (T *info)
| A callback was deleted.
template<typename F >
::efl::eo::signal_connection | callback_changed_size_hints_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Size hints changed event.
template<typename T >
void | callback_changed_size_hints_call (T *info)
| Size hints changed event.
template<typename F >
::efl::eo::signal_connection | callback_focus_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus In Event.
template<typename T >
void | callback_focus_in_call (T *info)
| Focus In Event.
template<typename F >
::efl::eo::signal_connection | callback_focus_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Focus Out Event.
template<typename T >
void | callback_focus_out_call (T *info)
| Focus Out Event.
template<typename F >
::efl::eo::signal_connection | callback_free_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Object Being Freed (Called after Del)
template<typename T >
void | callback_free_call (T *info)
| Object Being Freed (Called after Del)
template<typename F >
::efl::eo::signal_connection | callback_hide_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Hide Event.
template<typename T >
void | callback_hide_call (T *info)
| Hide Event.
template<typename F >
::efl::eo::signal_connection | callback_hold_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Events go on/off hold.
template<typename T >
void | callback_hold_call (T *info)
| Events go on/off hold.
template<typename F >
::efl::eo::signal_connection | callback_image_preloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image has been preloaded.
template<typename T >
void | callback_image_preloaded_call (T *info)
| Image has been preloaded.
template<typename F >
::efl::eo::signal_connection | callback_image_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image resize.
template<typename T >
void | callback_image_resize_call (T *info)
| Image resize.
template<typename F >
::efl::eo::signal_connection | callback_image_unloaded_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename T >
void | callback_image_unloaded_call (T *info)
| Image data has been unloaded (by some mechanism in Evas that throw out original image data)
template<typename F >
::efl::eo::signal_connection | callback_key_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Press Event.
template<typename T >
void | callback_key_down_call (T *info)
| Key Press Event.
template<typename F >
::efl::eo::signal_connection | callback_key_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Key Release Event.
template<typename T >
void | callback_key_up_call (T *info)
| Key Release Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Down Event.
template<typename T >
void | callback_mouse_down_call (T *info)
| Mouse Button Down Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_in_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse In Event.
template<typename T >
void | callback_mouse_in_call (T *info)
| Mouse In Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Move Event.
template<typename T >
void | callback_mouse_move_call (T *info)
| Mouse Move Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_out_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Out Event.
template<typename T >
void | callback_mouse_out_call (T *info)
| Mouse Out Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Button Up Event.
template<typename T >
void | callback_mouse_up_call (T *info)
| Mouse Button Up Event.
template<typename F >
::efl::eo::signal_connection | callback_mouse_wheel_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse Wheel Event.
template<typename T >
void | callback_mouse_wheel_call (T *info)
| Mouse Wheel Event.
template<typename F >
::efl::eo::signal_connection | callback_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Move Event.
template<typename T >
void | callback_move_call (T *info)
| Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_down_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Down Event.
template<typename T >
void | callback_multi_down_call (T *info)
| Mouse-touch Down Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_move_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Multi-touch Move Event.
template<typename T >
void | callback_multi_move_call (T *info)
| Multi-touch Move Event.
template<typename F >
::efl::eo::signal_connection | callback_multi_up_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Mouse-touch Up Event.
template<typename T >
void | callback_multi_up_call (T *info)
| Mouse-touch Up Event.
template<typename F >
::efl::eo::signal_connection | callback_resize_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Resize Event.
template<typename T >
void | callback_resize_call (T *info)
| Resize Event.
template<typename F >
::efl::eo::signal_connection | callback_restack_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Restack Event.
template<typename T >
void | callback_restack_call (T *info)
| Restack Event.
template<typename F >
::efl::eo::signal_connection | callback_show_add (F &&callback_,::efl::eo::callback_priority priority_=::efl::eo::callback_priorities::default_)
| Show Event.
template<typename T >
void | callback_show_call (T *info)
| Show Event.
| smart_clipped (::efl::eo::parent_type _p)
| Constructs a new evas::smart_clipped object. More...

## Static Public Member Functions
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::file
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::base
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from efl::gfx::stack
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from eo::base
static void | event_global_freeze ()
| freeze events of object. More...
static void | event_global_thaw ()
| thaw events of object. More...
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::common_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::object_smart
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::signal_interface
static Eo_Class const * | _eo_class ()
Static Public Member Functions inherited from evas::smart_clipped
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class object.

## Constructor & Destructor Documentation

edje::object::object | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new edje::object object.

Constructs a new edje::object object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

edje::object my_object(efl::eo::parent = parent_object);

See also
  object(Eo* eo)

edje::object::object | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

edje::object::object | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

bool edje::object::part_table_clear | ( | ::efl::eina::string_view | part_,
|  | bool | clear_
| ) |  | const

Removes all object from the table.

Returns
  `EINA_TRUE` clear the table, `EINA_FALSE` on failure

Removes all object from the table indicated by part, except the internal ones set from the theme.

Parameters

  part | The part name
  clear | If set, will delete subobjs on remove

Edje_External_Param_Type edje::object::part_external_param_type_get | ( | ::efl::eina::string_view | part_,
|  | const char * | param_
| ) |  | const

Facility to query the type of the given parameter of the given part.

Returns
  `EDJE_EXTERNAL_PARAM_TYPE_MAX` on errors, or another value from Edje_External_Param_Type on success.

Parameters

  | part | The part name
  [out] | param | the parameter name to use.

void edje::object::part_text_select_allow_set | ( | ::efl::eina::string_view | part_,
|  | bool | allow_
| ) |  | const

Enables selection if the entry is an EXPLICIT selection mode type.

The default is to not allow selection. This function only affects user selection, functions such as edje_object_part_text_select_all() and edje_object_part_text_select_none() are not affected.

Parameters

  part | The part name
  allow | EINA_TRUE to enable, EINA_FALSE otherwise

::efl::eina::string_view edje::object::part_state_get | ( | ::efl::eina::string_view | part_,
|  | double * | val_ret_
| ) |  | const

Returns the state of the Edje part.

Returns
  The part state:
  "default" for the default state
  "" for other states

Parameters

  | part | The part name
  [out] | val_ret |

void* edje::object::text_markup_filter_callback_del_full | ( | ::efl::eina::string_view | part_,
|  | Edje_Markup_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Delete a function and matching user data from the markup filter list.

Delete the given `func` filter and `data` user data from the list in `part`. Returns the user data pointer given when added.

See also
  edje_object_text_markup_filter_callback_add
  edje_object_text_markup_filter_callback_del

Returns
  The same data pointer if successful, or NULL otherwise

Since
  1.2.0

Parameters

  part | The part name
  func | The function callback to remove
  data | The data passed to the callback function

bool edje::object::part_drag_step_set | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Sets the drag step increment.

Sets the x,y step increments for a dragable object.

Values for `dx` and `dy` are real numbers that range from 0 to 1, representing the relative size of the dragable area on that axis by which the part will be moved.

See also
  edje_object_part_drag_step_get()

Parameters

  part | The part name
  dx | The x step amount
  dy | The y step amount

bool edje::object::part_drag_step_get | ( | ::efl::eina::string_view | part_,
|  | double * | dx_,
|  | double * | dy_
| ) |  | const

Gets the drag step increment values.

Gets the x and y step increments for the dragable object.

See also
  edje_object_part_drag_step_set()

Parameters

  | part | The part
  [out] | dx | The x step increment pointer
  [out] | dy | The y step increment pointer

void* edje::object::part_text_imf_context_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the input method context in entry.

If ecore_imf was not available when edje was compiled, this function returns NULL otherwise, the returned pointer is an Ecore_IMF

Returns
  The input method context (Ecore_IMF_Context *) in entry

Since
  1.2.0

Parameters

  part | The part name

void edje::object::part_text_select_begin | ( | ::efl::eina::string_view | part_ | ) | const

Starts selecting at current cursor position.

Parameters

  part | The part name

::efl::eina::string_view edje::object::part_text_style_user_peek | ( | ::efl::eina::string_view | part_ | ) | const

Return the text of the object part.

Returns
  The text string

This function returns the style associated with the textblock part.

Since
  1.2.0

Parameters

  part | The part name

template<typename F_func_ >

void* edje::object::signal_callback_del | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | F_func_ && | func_
| ) |  | const

Remove a signal-triggered callback from an object.

Returns
  The data pointer

This function removes a callback, previously attached to the emittion of a signal, from the object obj. The parameters emission, source and func must match exactly those passed to a previous call to edje_object_signal_callback_add(). The data pointer that was passed to this call will be returned.

See also
  edje_object_signal_callback_add().
  edje_object_signal_callback_del_full().

Parameters

  emission | The emission string.
  source | The source string.
  func | The callback function.
  data | The callback function.

bool edje::object::part_text_cursor_next | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Advances the cursor to the next cursor position.

See also
  evas_textblock_cursor_char_next

Parameters

  part | The part name
  cur | The edje cursor to advance

void edje::object::part_text_style_user_push | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | style_
| ) |  | const

Set the style of the.

This function sets the style associated with the textblock part.

Since
  1.2.0

Parameters

  part | The part name
  style | The style to set (textblock conventions).

void edje::object::part_text_append | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Insert text for an object part.

This function inserts the text for an object part at the end; It does not move the cursor.

Since
  1.1

Parameters

  part | The part name
  text | The text string

bool edje::object::part_geometry_get | ( | ::efl::eina::string_view | part_,
|  | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Retrieve the geometry of a given Edje part, in a given Edje object's group definition, relative to the object's area

This function gets the geometry of an Edje part within its group. The `x` and `y` coordinates are relative to the top left corner of the whole `obj` object's area.

Note
  Use `NULL` pointers on the geometry components you're not interested in: they'll be ignored by the function.
  On failure, this function will make all non-`NULL` geometry pointers' pointed variables be set to zero.

Parameters

  | part | The Edje part's name
  [out] | x | A pointer to a variable where to store the part's x coordinate
  [out] | y | A pointer to a variable where to store the part's y coordinate
  [out] | w | A pointer to a variable where to store the part's width
  [out] | h | A pointer to a variable where to store the part's height

void edje::object::part_text_input_panel_hide | ( | ::efl::eina::string_view | part_ | ) | const

Hide the input panel (virtual keyboard).

See also
  edje_object_part_text_input_panel_show

Note that input panel is shown or hidden automatically according to the focus state. This API can be used in the case of manually controlling by using edje_object_part_text_input_panel_enabled_set.

Since
  1.2.0

Parameters

  part | The part name

bool edje::object::part_text_item_geometry_get | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | item_,
|  | Evas_Coord * | cx_,
|  | Evas_Coord * | cy_,
|  | Evas_Coord * | cw_,
|  | Evas_Coord * | ch_
| ) |  | const

Return item geometry.

Returns
  1 if item exists, 0 if not

This function return a list of Evas_Textblock_Rectangle item rectangles.

Parameters

  | part | The part name
  | item | The item name
  [out] | cx | Item x return (relative to entry part)
  [out] | cy | Item y return (relative to entry part)
  [out] | cw | Item width return
  [out] | ch | Item height return

bool edje::object::part_table_unpack | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_obj_
| ) |  | const

Removes an object from the table.

Returns
  `EINA_TRUE` object removed, `EINA_FALSE` on failure

Removes an object from the table indicated by part.

Parameters

  part | The part name
  child_obj | The object to pack in

void edje::object::part_text_select_abort | ( | ::efl::eina::string_view | part_ | ) | const

Aborts any selection action on a part.

Parameters

  part | The part name

void* edje::object::text_insert_filter_callback_del_full | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Delete a function and matching user data from the filter list.

Delete the given `func` filter and `data` user data from the list in `part`. Returns the user data pointer given when added.

See also
  edje_object_text_insert_filter_callback_add
  edje_object_text_insert_filter_callback_del

Returns
  The same data pointer if successful, or NULL otherwise

Parameters

  part | The part name
  func | The function callback to remove
  data | The data passed to the callback function

void edje::object::part_text_style_user_pop | ( | ::efl::eina::string_view | part_ | ) | const

Delete the top style form the user style stack.

Since
  1.2.0

Parameters

  part | The part name

void edje::object::part_text_input_panel_imdata_set | ( | ::efl::eina::string_view | part_,
|  | const void * | data_,
|  | int | len_
| ) |  | const

Set the input panel-specific data to deliver to the input panel.

This API is used by applications to deliver specific data to the input panel. The data format MUST be negotiated by both application and the input panel. The size and format of data are defined by the input panel.

Since
  1.2.0

Parameters

  part | The part name
  data | The specific data to be set to the input panel.
  len | the length of data, in bytes, to send to the input panel

void edje::object::part_text_input_panel_imdata_get | ( | ::efl::eina::string_view | part_,
|  | void * | data_,
|  | int * | len_
| ) |  | const

Get the specific data of the current active input panel.

Since
  1.2.0

Parameters

  part | The part name
  data | The specific data to be got from the input panel
  len | The length of data

void edje::object::part_text_insert | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Insert text for an object part.

This function inserts the text for an object part just before the cursor position.

Parameters

  part | The part name
  text | The text string

::evas::object edje::object::part_box_remove_at | ( | ::efl::eina::string_view | part_,
|  | unsigned int | pos_
| ) |  | const

Removes an object from the box.

Returns
  Pointer to the object removed, or `NULL`.

Removes from the box indicated by part, the object in the position pos.

See also
  edje_object_part_box_remove()
  edje_object_part_box_remove_all()

Parameters

  part | The part name
  pos | The position index of the object (starts counting from 0)

void edje::object::part_text_cursor_copy | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | src_,
|  | Edje_Cursor | dst_
| ) |  | const

Copy the cursor to another cursor.

Parameters

  part | The part name
  src | the cursor to copy from
  dst | the cursor to copy to

bool edje::object::parts_extends_calc | ( | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Calculate the geometry of the region, relative to a given Edje object's area, occupied by all parts in the object

This function gets the geometry of the rectangle equal to the area required to group all parts in `obj's` group/collection. The `x` and `y` coordinates are relative to the top left corner of the whole `obj` object's area. Parts placed out of the group's boundaries will also be taken in account, so that `x` and `y` may be negative.

Note
  Use `NULL` pointers on the geometry components you're not interested in: they'll be ignored by the function.
  On failure, this function will make all non-`NULL` geometry pointers' pointed variables be set to zero.

Parameters

  [out] | x | A pointer to a variable where to store the parts region's x coordinate
  [out] | y | A pointer to a variable where to store the parts region's y coordinate
  [out] | w | A pointer to a variable where to store the parts region's width
  [out] | h | A pointer to a variable where to store the parts region's height

bool edje::object::part_drag_value_set | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Set the dragable object location.

Places the dragable object at the given location.

Values for `dx` and `dy` are real numbers that range from 0 to 1, representing the relative position to the dragable area on that axis.

This value means, for the vertical axis, that 0.0 will be at the top if the first parameter of `y` in the dragable part theme is 1, and at bottom if it is -1.

For the horizontal axis, 0.0 means left if the first parameter of `x` in the dragable part theme is 1, and right if it is -1.

See also
  edje_object_part_drag_value_get()

Parameters

  part | The part name
  dx | The x value
  dy | The y value

bool edje::object::part_drag_value_get | ( | ::efl::eina::string_view | part_,
|  | double * | dx_,
|  | double * | dy_
| ) |  | const

Get the dragable object location.

Values for `dx` and `dy` are real numbers that range from 0 to 1, representing the relative position to the dragable area on that axis.

See also
  edje_object_part_drag_value_set()

Gets the drag location values.

Parameters

  | part | The part name
  [out] | dx | The X value pointer
  [out] | dy | The Y value pointer

void edje::object::calc_force | ( |  | ) | const

Force a Size/Geometry calculation.

Forces the object `obj` to recalculation layout regardless of freeze/thaw.

void edje::object::part_text_cursor_pos_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_,
|  | int | pos_
| ) |  | const

Sets the cursor position to the given value.

Since
  1.1.0

Parameters

  part | The part name
  cur | The cursor to move
  pos | the position of the cursor

int edje::object::part_text_cursor_pos_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Retrieves the current position of the cursor.

Returns
  The cursor position

Since
  1.1.0

Parameters

  part | The part name
  cur | The cursor to get the position

int edje::object::freeze | ( |  | ) | const

Freezes the Edje object.

Returns
  The frozen state or 0 on Error

This function puts all changes on hold. Successive freezes will nest, requiring an equal number of thaws.

See also
  edje_object_thaw()

char* edje::object::part_text_cursor_content_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Returns the content (char) at the cursor position.

See also
  evas_textblock_cursor_content_get

You must free the return (if not NULL) after you are done with it.

Returns
  The character string pointed to (may be a multi-byte utf8 sequence) terminated by a nul byte.

Parameters

  part | The part name
  cur | The cursor to use

void edje::object::part_text_input_panel_layout_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Panel_Layout | layout_
| ) |  | const

Set the layout of the input panel.

The layout of the input panel or virtual keyboard can make it easier or harder to enter content. This allows you to hint what kind of input you are expecting to enter and thus have the input panel automatically come up with the right mode.

Since
  1.1

Parameters

  part | The part name
  layout | layout type

Edje_Input_Panel_Layout edje::object::part_text_input_panel_layout_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the layout of the input panel.

Returns
  Layout type of the input panel

See also
  edje_object_part_text_input_panel_layout_set

Since
  1.1

Parameters

  part | The part name

bool edje::object::part_table_pack | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_obj_,
|  | unsigned short | col_,
|  | unsigned short | row_,
|  | unsigned short | colspan_,
|  | unsigned short | rowspan_
| ) |  | const

Packs an object into the table.

Returns
  `EINA_TRUE` object was added, `EINA_FALSE` on failure

Packs an object into the table indicated by part.

Parameters

  part | The part name
  child_obj | The object to pack in
  col | The column to place it in
  row | The row to place it in
  colspan | Columns the child will take
  rowspan | Rows the child will take

void edje::object::part_text_input_panel_language_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Panel_Lang | lang_
| ) |  | const

Set the language mode of the input panel.

This API can be used if you want to show the Alphabet keyboard.

Since
  1.2.0

Parameters

  part | The part name
  lang | the language to be set to the input panel.

Edje_Input_Panel_Lang edje::object::part_text_input_panel_language_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the language mode of the input panel.

See edje_object_part_text_input_panel_language_set for more details.

Returns
  input panel language type

Since
  1.2.0

Parameters

  part | The part name

bool edje::object::part_table_col_row_size_get | ( | ::efl::eina::string_view | part_,
|  | int * | cols_,
|  | int * | rows_
| ) |  | const

Gets the number of columns and rows the table has.

Returns
  `EINA_TRUE` get some data, `EINA_FALSE` on failure

Retrieves the size of the table in number of columns and rows.

Parameters

  | part | The part name
  [out] | cols | Pointer where to store number of columns (can be NULL)
  [out] | rows | Pointer where to store number of rows (can be NULL)

::evas::object edje::object::part_external_object_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the object created by this external part.

Parts of type external creates the part object using information provided by external plugins. It's somehow like "swallow" (edje_object_part_swallow()), but it's all set automatically.

This function returns the part created by such external plugins and being currently managed by this Edje.

Note
  Almost all swallow rules apply: you should not move, resize, hide, show, set the color or clipper of such part. It's a bit more restrictive as one must never delete this object!

Returns
  The externally created object, or NULL if there is none or part is not an external.

Parameters

  part | The part name

::evas::object edje::object::part_external_content_get | ( | ::efl::eina::string_view | part_,
|  | const char * | content_
| ) |  | const

Get an object contained in an part of type EXTERNAL.

The `content` string must not be NULL. Its actual value depends on the code providing the EXTERNAL.

Parameters

  | part | The name of the part holding the EXTERNAL
  [out] | content | A string identifying which content from the EXTERNAL to get

bool edje::object::preload | ( | bool | cancel_ | ) | const

Preload the images on the Edje Object in the background.

Returns
  `EINA_FASLE` if obj was not a valid Edje object otherwise `EINA_TRUE`

This function requests the preload of all data images (on the given object) in the background. The work is queued before being processed (because there might be other pending requests of this type). It emits a signal "preload,done" when finished.

Note
  Use `EINA_TRUE` on scenarios where you don't need the image data preloaded anymore.

Parameters

  cancel | `EINA_FALSE` will add it the preloading work queue, `EINA_TRUE` will remove it (if it was issued before).

void edje::object::part_text_input_panel_enabled_set | ( | ::efl::eina::string_view | part_,
|  | bool | enabled_
| ) |  | const

Sets the attribute to show the input panel automatically.

Since
  1.1.0

Parameters

  part | The part name
  enabled | If true, the input panel is appeared when entry is clicked or has a focus

bool edje::object::part_text_input_panel_enabled_get | ( | ::efl::eina::string_view | part_ | ) | const

Retrieve the attribute to show the input panel automatically.

See also
  edje_object_part_text_input_panel_enabled_set

Returns
  EINA_TRUE if it supports or EINA_FALSE otherwise

Since
  1.1.0

Parameters

  part | The part name

void edje::object::part_text_select_extend | ( | ::efl::eina::string_view | part_ | ) | const

Extends the current selection to the current cursor position.

Parameters

  part | The part name

bool edje::object::part_box_insert_at | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_,
|  | unsigned int | pos_
| ) |  | const

Inserts an object to the box.

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Adds child to the box indicated by part, in the position given by pos.

See also
  edje_object_part_box_append()
  edje_object_part_box_prepend()
  edje_object_part_box_insert_before()

Parameters

  part | The part name
  child | The object to insert
  pos | The position where to insert child

::efl::eina::crange_list< const Evas_Textblock_Rectangle * > edje::object::part_text_anchor_geometry_get | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | anchor_
| ) |  | const

Return a list of Evas_Textblock_Rectangle anchor rectangles.

Returns
  The list of anchor rects (const Evas_Textblock_Rectangle *), do not modify! Geometry is relative to entry part.

This function return a list of Evas_Textblock_Rectangle anchor rectangles.

Parameters

  part | The part name
  anchor | The anchor name

bool edje::object::part_text_cursor_down | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Moves the cursor to the char below the current cursor position.

Parameters

  part | The part name
  cur | the edje cursor to work on

bool edje::object::part_drag_page_set | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Sets the page step increments.

Sets the x,y page step increment values.

Values for `dx` and `dy` are real numbers that range from 0 to 1, representing the relative size of the dragable area on that axis by which the part will be moved.

See also
  edje_object_part_drag_page_get()

Parameters

  part | The part name
  dx | The x page step increment
  dy | The y page step increment

bool edje::object::part_drag_page_get | ( | ::efl::eina::string_view | part_,
|  | double * | dx_,
|  | double * | dy_
| ) |  | const

Gets the page step increments.

Gets the x,y page step increments for the dragable object.

See also
  edje_object_part_drag_page_set()

Parameters

  | part | The part name
  [out] | dx | The dx page increment pointer
  [out] | dy | The dy page increment pointer

bool edje::object::part_box_prepend | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Prepends an object to the box.

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Prepends child to the box indicated by part.

See also
  edje_object_part_box_append()
  edje_object_part_box_insert_before()
  edje_object_part_box_insert_at()

Parameters

  part | The part name
  child | The object to prepend

void edje::object::signal_emit | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_
| ) |  | const

Send/emit an Edje signal to a given Edje object.

This function sends a signal to the object obj. An Edje program, at `obj's` EDC specification level, can respond to a signal by having declared matching `'signal'` and `'source'` fields on its block (see the syntax for EDC files).

As an example,

edje_object_signal_emit(obj, "a_signal", "");

would trigger a program which had an EDC declaration block like

program {
name: "a_program";
signal: "a_signal";
source: "";
action: ...
}

See also
  edje_object_signal_callback_add() for more on Edje signals.

Parameters

  emission | The signal's "emission" string
  source | The signal's "source" string

void edje::object::part_text_input_panel_layout_variation_set | ( | ::efl::eina::string_view | part_,
|  | int | variation_
| ) |  | const

Set the layout variation of the input panel.

The layout variation of the input panel or virtual keyboard can make it easier or harder to enter content. This allows you to hint what kind of input you are expecting to enter and thus have the input panel automatically come up with the right mode.

Since
  1.8

Parameters

  part | The part name
  variation | layout variation type

int edje::object::part_text_input_panel_layout_variation_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the layout variation of the input panel.

Returns
  Layout variation type of the input panel

See also
  edje_object_part_text_input_panel_layout_variation_set

Since
  1.8

Parameters

  part | The part name

void edje::object::message_send | ( | Edje_Message_Type | type_,
|  | int | id_,
|  | void * | msg_
| ) |  | const

Send an (Edje) message to a given Edje object.

This function sends an Edje message to `obj` and to all of its child objects, if it has any (swallowed objects are one kind of child object). `type` and `msg` must be matched accordingly, as documented in Edje_Message_Type.

The `id` argument as a form of code and theme defining a common interface on message communication. One should define the same IDs on both code and EDC declaration (see the syntax for EDC files), to individualize messages (binding them to a given context).

The function to handle messages arriving from obj is set with edje_object_message_handler_set().

Parameters

  type | The type of message to send to `obj`
  id | A identification number for the message to be sent
  msg | The message's body, a struct depending on `type`

void edje::object::part_text_select_none | ( | ::efl::eina::string_view | part_ | ) | const

Set the selection to be none.

This function sets the selection text to be none.

Parameters

  part | The part name

const Evas_Object* edje::object::part_object_get | ( | ::efl::eina::string_view | part_ | ) | const

Get a handle to the Evas object implementing a given Edje part, in an Edje object.

Returns
  A pointer to the Evas object implementing the given part, or `NULL` on failure (e.g. the given part doesn't exist)

This function gets a pointer of the Evas object corresponding to a given part in the `obj` object's group.

You should never modify the state of the returned object (with `evas_object_move()` or `evas_object_hide()` for example), because it's meant to be managed by Edje, solely. You are safe to query information about its current state (with `evas_object_visible_get()` or `evas_object_color_get()` for example), though.

Parameters

  part | The Edje part's name

bool edje::object::part_drag_size_set | ( | ::efl::eina::string_view | part_,
|  | double | dw_,
|  | double | dh_
| ) |  | const

Set the dragable object size.

Values for `dw` and `dh` are real numbers that range from 0 to 1, representing the relative size of the dragable area on that axis.

Sets the size of the dragable object.

See also
  edje_object_part_drag_size_get()

Parameters

  part | The part name
  dw | The drag width
  dh | The drag height

bool edje::object::part_drag_size_get | ( | ::efl::eina::string_view | part_,
|  | double * | dw_,
|  | double * | dh_
| ) |  | const

Get the dragable object size.

Gets the dragable object size.

See also
  edje_object_part_drag_size_set()

Parameters

  | part | The part name
  [out] | dw | The drag width pointer
  [out] | dh | The drag height pointer

void* edje::object::text_insert_filter_callback_del | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Filter_Cb | func_
| ) |  | const

Delete a function from the filter list.

Delete the given `func` filter from the list in `part`. Returns the user data pointer given when added.

See also
  edje_object_text_insert_filter_callback_add
  edje_object_text_insert_filter_callback_del_full

Returns
  The user data pointer if successful, or NULL otherwise

Parameters

  part | The part name
  func | The function callback to remove

Edje_Drag_Dir edje::object::part_drag_dir_get | ( | ::efl::eina::string_view | part_ | ) | const

Determine dragable directions.

The dragable directions are defined in the EDC file, inside the `dragable` section, by the attributes `x` and `y`. See the Edje Data Collection reference for more information.

Returns
  #EDJE_DRAG_DIR_NONE: Not dragable
  #EDJE_DRAG_DIR_X: Dragable in X direction
  #EDJE_DRAG_DIR_Y: Dragable in Y direction
  #EDJE_DRAG_DIR_XY: Dragable in X & Y directions

Parameters

  part | The part name

bool edje::object::part_text_unescaped_set | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_to_escape_
| ) |  | const

Sets the raw (non escaped) text for an object part.

This funciton will not do escape for you if it is a TEXTBLOCK part, that is, if text contain tags, these tags will not be interpreted/parsed by TEXTBLOCK.

See also
  edje_object_part_text_unescaped_get().

Parameters

  part | The part name
  text_to_escape | The text string

char* edje::object::part_text_unescaped_get | ( | ::efl::eina::string_view | part_ | ) | const

Returns the text of the object part, without escaping.

Returns
  The allocated text string without escaping, or NULL on problems.

This function is the counterpart of edje_object_part_text_unescaped_set(). Please notice that the result is newly allocated memory and should be released with free() when done.

See also
  edje_object_part_text_unescaped_set().

Parameters

  part | The part name

template<typename F_func_ >

void edje::object::signal_callback_add | ( | ::efl::eina::string_view | emission_,
|  | ::efl::eina::string_view | source_,
|  | F_func_ && | func_
| ) |  | const

Add a callback for an arriving Edje signal, emitted by a given Edje object.

Edje signals are one of the communication interfaces between code and a given Edje object's theme. With signals, one can communicate two string values at a time, which are:

- "emission" value: the name of the signal, in general
- "source" value: a name for the signal's context, in general

Though there are those common uses for the two strings, one is free to use them however they like.

This function adds a callback function to a signal emitted by obj, to be issued every time an EDC program like the following

program {
name: "emit_example";
action: SIGNAL_EMIT "a_signal" "a_source";
}

is run, if `emission` and `source` are given those same values, here.

Signal callback registration is powerful, in the way that blobs may be used to match multiple signals at once. All the `"*?[\"` set of `fnmatch()` operators can be used, both for `emission` and `source`.

Edje has internal signals it will emit, automatically, on various actions taking place on group parts. For example, the mouse cursor being moved, pressed, released, etc., over a given part's area, all generate individual signals.

By using something like

edje_object_signal_callback_add(obj, "mouse,down,*", "button.*",
signal_cb, NULL);

being `"button.*"` the pattern for the names of parts implementing buttons on an interface, you'd be registering for notifications on events of mouse buttons being pressed down on either of those parts (those events all have the `"mouse,down,"` common prefix on their names, with a suffix giving the button number). The actual emission and source strings of an event will be passed in as the emission and source parameters of the callback function (e.g. `"mouse,down,2"` and `"button.close"`), for each of those events.

Note
  See the syntax for EDC files

See also
  edje_object_signal_emit() on how to emits Edje signals from code to a an object
  edje_object_signal_callback_del_full()

Parameters

  emission | The signal's "emission" string
  source | The signal's "source" string
  func | The callback function to be executed when the signal is emitted.
  data | A pointer to data to pass in to `func`.

void edje::object::part_text_select_all | ( | ::efl::eina::string_view | part_ | ) | const

Set the selection to be everything.

This function selects all text of the object of the part.

Parameters

  part | The part name

void edje::object::part_text_input_panel_return_key_disabled_set | ( | ::efl::eina::string_view | part_,
|  | bool | disabled_
| ) |  | const

Set the return key on the input panel to be disabled.

Since
  1.2.0

Parameters

  part | The part name
  disabled | The state

bool edje::object::part_text_input_panel_return_key_disabled_get | ( | ::efl::eina::string_view | part_ | ) | const

Get whether the return key on the input panel should be disabled or not.

Returns
  EINA_TRUE if it should be disabled

Since
  1.2.0

Parameters

  part | The part name

void edje::object::part_text_autocapital_type_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Autocapital_Type | autocapital_type_
| ) |  | const

Set the autocapitalization type on the immodule.

Since
  1.1.0

Parameters

  part | The part name
  autocapital_type | The type of autocapitalization

Edje_Text_Autocapital_Type edje::object::part_text_autocapital_type_get | ( | ::efl::eina::string_view | part_ | ) | const

Retrieves the autocapitalization type.

Returns
  The autocapitalization type

Since
  1.1.0

Parameters

  part | The part name

void edje::object::part_unswallow | ( | ::evas::object | obj_swallow_ | ) | const

Unswallow an object.

Causes the edje to regurgitate a previously swallowed object. :)

Note
  `obj_swallow` will not be deleted or hidden.
  `obj_swallow` may appear shown on the evas depending on its state when it got unswallowed. Make sure you delete it or hide it if you do not want it to.

Parameters

  obj_swallow | The swallowed object

void edje::object::part_text_prediction_allow_set | ( | ::efl::eina::string_view | part_,
|  | bool | prediction_
| ) |  | const

Set whether the prediction is allowed or not.

Since
  1.2.0

Parameters

  part | The part name
  prediction | If true, the prediction feature is allowed.

bool edje::object::part_text_prediction_allow_get | ( | ::efl::eina::string_view | part_ | ) | const

Get whether the prediction is allowed or not.

Returns
  EINA_TRUE if prediction feature is allowed.

Since
  1.2.0

Parameters

  part | The part name

::efl::eina::string_view edje::object::data_get | ( | ::efl::eina::string_view | key_ | ) | const

Retrive an EDC data field's value from a given Edje object's group.

Returns
  The data's value string. Must not be freed.

This function fetches an EDC data field's value, which is declared on the objects building EDC file, under its group. EDC data blocks are most commonly used to pass arbitrary parameters from an application's theme to its code.

They look like the following:

collections {
group {
name: "a_group";
data {
item: "key1" "value1";
item: "key2" "value2";
}
}
}

EDC data fields always hold strings as values, hence the return type of this function. Check the complete syntax reference for EDC files.

Warning
  Do not confuse this call with edje_file_data_get(), which queries for a global EDC data field on an EDC declaration file.

See also
  edje_object_file_set()

Parameters

  key | The data field's key string

void edje::object::text_markup_filter_callback_add | ( | ::efl::eina::string_view | part_,
|  | Edje_Markup_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Add a markup filter function for newly inserted text.

Whenever text is inserted (not the same as set) into the given `part`, the list of markup filter functions will be called to decide if and how the new text will be accepted. The text parameter in the `func` filter is always markup. It can be modified by the user and it's up to him to free the one passed if he's to change the pointer. If doing so, the newly set text should be malloc'ed, as once all the filters are called Edje will free it. If the text is to be rejected, freeing it and setting the pointer to NULL will make Edje break out of the filter cycle and reject the inserted text. This function is different from edje_object_text_insert_filter_callback_add() in that the text parameter in the `fucn` filter is always markup.

Warning
  If you use this function with edje_object_text_insert_filter_callback_add() togehter, all Edje_Text_Filter_Cb functions and Edje_Markup_Filter_Cb functions will be executed, and then filtered text will be inserted.

See also
  edje_object_text_markup_filter_callback_del
  edje_object_text_markup_filter_callback_del_full
  edje_object_text_insert_filter_callback_add

Since
  1.2.0

Parameters

  part | The part name
  func | The callback function that will act as markup filter
  data | User provided data to pass to the filter function

void edje::object::message_signal_process | ( |  | ) | const

Process an object's message queue.

This function goes through the object message queue processing the pending messages for this specific Edje object. Normally they'd be processed only at idle time.

::evas::object edje::object::part_box_remove | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Removes an object from the box.

Returns
  Pointer to the object removed, or `NULL`.

Removes child from the box indicated by part.

See also
  edje_object_part_box_remove_at()
  edje_object_part_box_remove_all()

Parameters

  part | The part name
  child | The object to remove

int edje::object::thaw | ( |  | ) | const

Thaws the Edje object.

Returns
  The frozen state or 0 if the object is not frozen or on error.

This function thaws the given Edje object.

Note
  : If sucessives freezes were done, an equal number of thaws will be required.

See also
  edje_object_freeze()

::evas::object edje::object::part_swallow_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the object currently swallowed by a part.

Returns
  The swallowed object, or NULL if there is none.

Parameters

  part | The part name

void edje::object::part_text_imf_context_reset | ( | ::efl::eina::string_view | part_ | ) | const

Reset the input method context if needed.

This can be necessary in the case where modifying the buffer would confuse on-going input method behavior

Since
  1.2.0

Parameters

  part | The part name

void edje::object::part_text_input_panel_return_key_type_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Panel_Return_Key_Type | return_key_type_
| ) |  | const

Set the "return" key type.

This type is used to set string or icon on the "return" key of the input panel.

An input panel displays the string or icon associated with this type

Since
  1.2.0

Parameters

  part | The part name
  return_key_type | The type of "return" key on the input panel

Edje_Input_Panel_Return_Key_Type edje::object::part_text_input_panel_return_key_type_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the "return" key type.

See also
  edje_object_part_text_input_panel_return_key_type_set() for more details

Returns
  The type of "return" key on the input panel

Since
  1.2.0

Parameters

  part | The part name

::evas::object edje::object::part_table_child_get | ( | ::efl::eina::string_view | part_,
|  | unsigned int | col_,
|  | unsigned int | row_
| ) |  | const

Retrieve a child from a table.

Returns
  The child Evas_Object

Parameters

  part | The part name
  col | The column of the child to get
  row | The row of the child to get

bool edje::object::part_box_insert_before | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_,
|  | const Evas_Object * | reference_
| ) |  | const

Adds an object to the box.

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Inserts child in the box given by part, in the position marked by reference.

See also
  edje_object_part_box_append()
  edje_object_part_box_prepend()
  edje_object_part_box_insert_at()

Parameters

  part | The part name
  child | The object to insert
  reference | The object to be used as reference

bool edje::object::part_external_param_set | ( | ::efl::eina::string_view | part_,
|  | const Edje_External_Param * | param_
| ) |  | const

Set the parameter for the external part.

Parts of type external may carry extra properties that have meanings defined by the external plugin. For instance, it may be a string that defines a button label and setting this property will change that label on the fly.

Note
  external parts have parameters set when they change states. Those parameters will never be changed by this function. The interpretation of how state_set parameters and param_set will interact is up to the external plugin.
  this function will not check if parameter value is valid using Edje_External_Param_Info minimum, maximum, valid choices and others. However these should be checked by the underlying implementation provided by the external plugin. This is done for performance reasons.

Returns
  `EINA_TRUE` if everything went fine, `EINA_FALSE` on errors.

Parameters

  part | The part name
  param | the parameter details, including its name, type and actual value. This pointer should be valid, and the parameter must exist in Edje_External_Type.parameters_info, with the exact type, otherwise the operation will fail and `EINA_FALSE` will be returned.

bool edje::object::part_external_param_get | ( | ::efl::eina::string_view | part_,
|  | Edje_External_Param * | param_
| ) |  | const

Get the parameter for the external part.

Parts of type external may carry extra properties that have meanings defined by the external plugin. For instance, it may be a string that defines a button label. This property can be modified by state parameters, by explicit calls to edje_object_part_external_param_set() or getting the actual object with edje_object_part_external_object_get() and calling native functions.

This function asks the external plugin what is the current value, independent on how it was set.

Returns
  `EINA_TRUE` if everything went fine and `param` members are filled with information, `EINA_FALSE` on errors and `param` member values are not set or valid.

Parameters

  | part | The part name
  [out] | param | the parameter details. It is used as both input and output variable. This pointer should be valid, and the parameter must exist in Edje_External_Type.parameters_info, with the exact type, otherwise the operation will fail and `EINA_FALSE` will be returned.

void edje::object::size_min_calc | ( | Evas_Coord * | minw_,
|  | Evas_Coord * | minh_
| ) |  | const

Calculate the minimum required size for a given Edje object.

This call works exactly as edje_object_size_min_restricted_calc(), with the last two arguments set to 0. Please refer to its documentation, then.

Parameters

  [out] | minw | Pointer to a variable where to store the minimum required width
  [out] | minh | Pointer to a variable where to store the minimum required height

bool edje::object::part_box_append | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | child_
| ) |  | const

Appends an object to the box.

Returns
  `EINA_TRUE:` Successfully added.
  `EINA_FALSE:` An error occurred.

Appends child to the box indicated by part.

See also
  edje_object_part_box_prepend()
  edje_object_part_box_insert_before()
  edje_object_part_box_insert_at()

Parameters

  part | The part name
  child | The object to append

void edje::object::size_min_restricted_calc | ( | Evas_Coord * | minw_,
|  | Evas_Coord * | minh_,
|  | Evas_Coord | restrictedw_,
|  | Evas_Coord | restrictedh_
| ) |  | const

Calculate the minimum required size for a given Edje object.

This call will trigger an internal recalculation of all parts of the `obj` object, in order to return its minimum required dimensions for width and height. The user might choose to impose those minimum sizes, making the resulting calculation to get to values equal or bigger than `restrictedw` and `restrictedh`, for width and height, respectively.

Note
  At the end of this call, `obj` won't be automatically resized to new dimensions, but just return the calculated sizes. The caller is the one up to change its geometry or not.

Warning
  Be advised that invisible parts in `obj` will be taken into account in this calculation.

Parameters

  [out] | minw | Pointer to a variable where to store the minimum required width
  [out] | minh | Pointer to a variable where to store the minimum required height
  | restrictedw | Do not allow object's calculated (minimum) width to be less than this value
  | restrictedh | Do not allow object's calculated (minimum) height to be less than this value

bool edje::object::part_box_remove_all | ( | ::efl::eina::string_view | part_,
|  | bool | clear_
| ) |  | const

Removes all elements from the box.

Returns
  1: Successfully cleared.
  0: An error occurred.

Removes all the external objects from the box indicated by part. Elements created from the theme will not be removed.

See also
  edje_object_part_box_remove()
  edje_object_part_box_remove_at()

Parameters

  part | The part name
  clear | Delete objects on removal

bool edje::object::part_drag_page | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Pages x,y steps.

Pages x,y where the increment is defined by edje_object_part_drag_page_set.

Values for `dx` and `dy` are real numbers that range from 0 to 1.

Warning
  Paging is bugged!

See also
  edje_object_part_drag_step()

Parameters

  part | The part name
  dx | The x step
  dy | The y step

bool edje::object::part_text_set | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Sets the text for an object part.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

Parameters

  part | The part name
  text | The text string

::efl::eina::string_view edje::object::part_text_get | ( | ::efl::eina::string_view | part_ | ) | const

Return the text of the object part.

Returns
  The text string

This function returns the text associated to the object part.

See also
  edje_object_part_text_set().

Parameters

  part | The part name

void edje::object::part_text_input_panel_show_on_demand_set | ( | ::efl::eina::string_view | part_,
|  | bool | ondemand_
| ) |  | const

Set the attribute to show the input panel in case of only an user's explicit Mouse Up event.

It doesn't request to show the input panel even though it has focus.

Since
  1.9.0

Parameters

  part | The part name
  ondemand | If true, the input panel will be shown in case of only Mouse up event. (Focus event will be ignored.)

bool edje::object::part_text_input_panel_show_on_demand_get | ( | ::efl::eina::string_view | part_ | ) | const

Get the attribute to show the input panel in case of only an user's explicit Mouse Up event.

Returns
  `EINA_TRUE` if the input panel will be shown in case of only Mouse up event.

Since
  1.9.0

Parameters

  part | The part name

void edje::object::part_text_input_hint_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Input_Hints | input_hints_
| ) |  | const

Sets the input hint which allows input methods to fine-tune their behavior.

Since
  1.12.0

Parameters

  part | The part name
  input_hints | input hints

Edje_Input_Hints edje::object::part_text_input_hint_get | ( | ::efl::eina::string_view | part_ | ) | const

Gets the value of input hint.

Returns
  The value of input hint

Since
  1.12.0

Parameters

  part | The part name

::efl::eina::string_view edje::object::part_text_selection_get | ( | ::efl::eina::string_view | part_ | ) | const

Return the selection text of the object part.

Returns
  The text string

This function returns selection text of the object part.

See also
  edje_object_part_text_select_all()
  edje_object_part_text_select_none()

Parameters

  part | The part name

bool edje::object::part_text_cursor_is_format_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Returns whether the cursor points to a format.

See also
  evas_textblock_cursor_is_format

Returns
  EINA_TRUE if it's true, EINA_FALSE otherwise.

Parameters

  part | The part name
  cur | The cursor to adjust.

bool edje::object::text_class_get | ( | ::efl::eina::string_view | text_class_,
|  | const char ** | font_,
|  | Evas_Font_Size * | size_
| ) |  | const

Gets font and font size from edje text class.

Returns
  `EINA_TRUE`, on success or `EINA_FALSE`, on error

This function gets the font and the font size from the object text class. The font string will only be valid until the text class is changed or the edje object is deleted.

Parameters

  | text_class | The text class name
  [out] | font | Font name
  [out] | size | Font Size

bool edje::object::color_class_set | ( | ::efl::eina::string_view | color_class_,
|  | int | r_,
|  | int | g_,
|  | int | b_,
|  | int | a_,
|  | int | r2_,
|  | int | g2_,
|  | int | b2_,
|  | int | a2_,
|  | int | r3_,
|  | int | g3_,
|  | int | b3_,
|  | int | a3_
| ) |  | const

Sets the object color class.

This function sets the color values for an object level color class. This will cause all edje parts in the specified object that have the specified color class to have their colors multiplied by these values.

The first color is the object, the second is the text outline, and the third is the text shadow. (Note that the second two only apply to text parts).

Setting color emits a signal "color_class,set" with source being the given color.

Note
  unlike Evas, Edje colors are not pre-multiplied. That is, half-transparent white is 255 255 255 128.

Parameters

  color_class |
  r | Object Red value
  g | Object Green value
  b | Object Blue value
  a | Object Alpha value
  r2 | Outline Red value
  g2 | Outline Green value
  b2 | Outline Blue value
  a2 | Outline Alpha value
  r3 | Shadow Red value
  g3 | Shadow Green value
  b3 | Shadow Blue value
  a3 | Shadow Alpha value

bool edje::object::color_class_get | ( | ::efl::eina::string_view | color_class_,
|  | int * | r_,
|  | int * | g_,
|  | int * | b_,
|  | int * | a_,
|  | int * | r2_,
|  | int * | g2_,
|  | int * | b2_,
|  | int * | a2_,
|  | int * | r3_,
|  | int * | g3_,
|  | int * | b3_,
|  | int * | a3_
| ) |  | const

Gets the object color class.

Returns
  EINA_TRUE if found or EINA_FALSE if not found and all values are zeroed.

This function gets the color values for an object level color class. If no explicit object color is set, then global values will be used.

The first color is the object, the second is the text outline, and the third is the text shadow. (Note that the second two only apply to text parts).

Note
  unlike Evas, Edje colors are not pre-multiplied. That is, half-transparent white is 255 255 255 128.

Parameters

  | color_class |
  [out] | r | Object Red value
  [out] | g | Object Green value
  [out] | b | Object Blue value
  [out] | a | Object Alpha value
  [out] | r2 | Outline Red value
  [out] | g2 | Outline Green value
  [out] | b2 | Outline Blue value
  [out] | a2 | Outline Alpha value
  [out] | r3 | Shadow Red value
  [out] | g3 | Shadow Green value
  [out] | b3 | Shadow Blue value
  [out] | a3 | Shadow Alpha value

::efl::eina::string_view edje::object::color_class_description_get | ( | ::efl::eina::string_view | color_class_ | ) | const

Gets the description of an object color class.

Returns
  The description of the target color class or `NULL` if not found

This function gets the description of a color class in use by an object.

Parameters

  color_class |

bool edje::object::part_drag_step | ( | ::efl::eina::string_view | part_,
|  | double | dx_,
|  | double | dy_
| ) |  | const

Steps the dragable x,y steps.

Steps x,y where the step increment is the amount set by edje_object_part_drag_step_set.

Values for `dx` and `dy` are real numbers that range from 0 to 1.

See also
  edje_object_part_drag_page()

Parameters

  part | The part name
  dx | The x step
  dy | The y step

bool edje::object::part_text_cursor_up | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Move the cursor to the char above the current cursor position.

Parameters

  part | The part name
  cur | the edje cursor to work on

void edje::object::part_text_cursor_geometry_get | ( | ::efl::eina::string_view | part_,
|  | Evas_Coord * | x_,
|  | Evas_Coord * | y_,
|  | Evas_Coord * | w_,
|  | Evas_Coord * | h_
| ) |  | const

Returns the cursor geometry of the part relative to the edje object.

Parameters

  | part | The part name
  [out] | x | Cursor X position
  [out] | y | Cursor Y position
  [out] | w | Cursor width
  [out] | h | Cursor height

::efl::eina::crange_list< ::efl::eina::string_view > edje::object::part_text_anchor_list_get | ( | ::efl::eina::string_view | part_ | ) | const

Return a list of char anchor names.

Returns
  The list of anchors (const char *), do not modify!

This function returns a list of char anchor names.

Parameters

  part | The part name

void edje::object::text_insert_filter_callback_add | ( | ::efl::eina::string_view | part_,
|  | Edje_Text_Filter_Cb | func_,
|  | void * | data_
| ) |  | const

Add a filter function for newly inserted text.

Whenever text is inserted (not the same as set) into the given `part`, the list of filter functions will be called to decide if and how the new text will be accepted. There are three types of filters, EDJE_TEXT_FILTER_TEXT, EDJE_TEXT_FILTER_FORMAT and EDJE_TEXT_FILTER_MARKUP. The text parameter in the `func` filter can be modified by the user and it's up to him to free the one passed if he's to change the pointer. If doing so, the newly set text should be malloc'ed, as once all the filters are called Edje will free it. If the text is to be rejected, freeing it and setting the pointer to NULL will make Edje break out of the filter cycle and reject the inserted text.

Warning
  This function will be deprecated because of difficulty in use. The type(format, text, or markup) of text should be always checked in the filter function for correct filtering. Please use edje_object_text_markup_filter_callback_add() instead. There is no need to check the type of text in the filter function because the text is always markup.
  If you use this function with edje_object_text_markup_filter_callback_add() together, all Edje_Text_Filter_Cb functions and Edje_Markup_Filter_Cb functions will be executed, and then filtered text will be inserted.

See also
  edje_object_text_insert_filter_callback_del
  edje_object_text_insert_filter_callback_del_full
  edje_object_text_markup_filter_callback_add

Parameters

  part | The part name
  func | The callback function that will act as filter
  data | User provided data to pass to the filter function

void edje::object::part_text_input_panel_show | ( | ::efl::eina::string_view | part_ | ) | const

Show the input panel (virtual keyboard) based on the input panel property such as layout, autocapital types, and so on.

Note that input panel is shown or hidden automatically according to the focus state. This API can be used in the case of manually controlling by using edje_object_part_text_input_panel_enabled_set.

Since
  1.2.0

Parameters

  part | The part name

bool edje::object::part_exists | ( | ::efl::eina::string_view | part_ | ) | const

Check if an Edje part exists in a given Edje object's group definition.

Returns
  `EINA_TRUE`, if the Edje part exists in `obj's` group or `EINA_FALSE`, otherwise (and on errors)

This function returns if a given part exists in the Edje group bound to object `obj` (with edje_object_file_set()).

This call is useful, for example, when one could expect or not a given GUI element, depending on the theme applied to `obj`.

Parameters

  part | The part's name to check for existence in `obj's` group

void* edje::object::text_markup_filter_callback_del | ( | ::efl::eina::string_view | part_,
|  | Edje_Markup_Filter_Cb | func_
| ) |  | const

Delete a function from the markup filter list.

Delete the given `func` filter from the list in `part`. Returns the user data pointer given when added.

See also
  edje_object_text_markup_filter_callback_add
  edje_object_text_markup_filter_callback_del_full

Returns
  The user data pointer if successful, or NULL otherwise

Since
  1.2.0

Parameters

  part | The part name
  func | The function callback to remove

bool edje::object::part_text_cursor_is_visible_format_get | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Return true if the cursor points to a visible format For example \t, \n, item and etc.

See also
  evas_textblock_cursor_format_is_visible_get

Parameters

  part | The part name
  cur | The cursor to adjust.

void edje::object::part_text_user_insert | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

This function inserts text as if the user has inserted it.

This means it actually registers as a change and emits signals, triggers callbacks as appropriate.

Since
  1.2.0

Parameters

  part | The part name
  text | The text string

bool edje::object::part_text_cursor_prev | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Moves the cursor to the previous char.

See also
  evas_textblock_cursor_char_prev

Parameters

  part | The part name
  cur | the edje cursor to work on

::efl::eina::crange_list< ::efl::eina::string_view > edje::object::part_text_item_list_get | ( | ::efl::eina::string_view | part_ | ) | const

Return a list of char item names.

Returns
  The list of items (const char *), do not modify!

This function returns a list of char item names.

Parameters

  part | The part name

bool edje::object::part_swallow | ( | ::efl::eina::string_view | part_,
|  | ::evas::object | obj_swallow_
| ) |  | const

"Swallows" an object into one of the Edje object `SWALLOW` parts.

Swallowing an object into an Edje object is, for a given part of type `SWALLOW` in the EDC group which gave life to obj, to set an external object to be controlled by obj, being displayed exactly over that part's region inside the whole Edje object's viewport.

From this point on, obj will have total control over obj_swallow's geometry and visibility. For instance, if obj is visible, as in `evas_object_show()`, the swallowed object will be visible too – if the given `SWALLOW` part it's in is also visible. Other actions on obj will also reflect on the swallowed object as well (e.g. resizing, moving, raising/lowering, etc.).

Finally, all internal changes to part, specifically, will reflect on the displaying of obj_swallow, for example state changes leading to different visibility states, geometries, positions, etc.

If an object has already been swallowed into this part, then it will first be unswallowed (as in edje_object_part_unswallow()) before the new object is swallowed.

Note
  obj won't delete the swallowed object once it is deleted – obj_swallow will get to an unparented state again.

For more details on EDC `SWALLOW` parts, see syntaxreference".

Parameters

  part | The swallow part's name
  obj_swallow | The object to occupy that part

bool edje::object::update_hints_get | ( |  | ) | const

Whether or not Edje will update size hints on itself.

Returns
  `true` if does, `false` if it doesn't.

Parameters

  update | Whether or not update the size hints.

void edje::object::update_hints_set | ( | bool | update_ | ) | const

Edje will automatically update the size hints on itself.

By default edje doesn't set size hints on itself. With this function call, it will do so if update is true. Be carefully, it cost a lot to trigger this feature as it will recalc the object every time it make sense to be sure that's its minimal size hint is always accurate.

Parameters

  update | Whether or not update the size hints.

bool edje::object::mirrored_get | ( |  | ) | const

Get the RTL orientation for this object.

You can RTL orientation explicitly with edje_object_mirrored_set.

Returns
  `EINA_TRUE` if the flag is set or `EINA_FALSE` if not.

Since
  1.1.0

Parameters

  rtl | new value of flag EINA_TRUE/EINA_FALSE

void edje::object::mirrored_set | ( | bool | rtl_ | ) | const

Set the RTL orientation for this object.

Since
  1.1.0

Parameters

  rtl | new value of flag EINA_TRUE/EINA_FALSE

bool edje::object::animation_get | ( |  | ) | const

Get the Edje object's animation state.

Returns
  `EINA_FALSE` on error or if object is not animated; `EINA_TRUE` if animated.

This function returns if the animation is stopped or not. The animation state is set by edje_object_animation_set().

See also
  edje_object_animation_set().

Parameters

  on | The animation state. `EINA_TRUE` to starts or `EINA_FALSE` to stops.

void edje::object::animation_set | ( | bool | on_ | ) | const

Set the object's animation state.

This function starts or stops an Edje object's animation. The information if it's stopped can be retrieved by edje_object_animation_get().

See also
  edje_object_animation_get()

Parameters

  on | The animation state. `EINA_TRUE` to starts or `EINA_FALSE` to stops.

bool edje::object::play_get | ( |  | ) | const

Get the Edje object's state.

Returns
  `EINA_FALSE` if the object is not connected, its `delete_me` flag is set, or it is at paused state; `EINA_TRUE` if the object is at playing state.

This function tells if an Edje object is playing or not. This state is set by edje_object_play_set().

See also
  edje_object_play_set().

Parameters

  play | Object state (`EINA_TRUE` to playing, `EINA_FALSE` to paused).

void edje::object::play_set | ( | bool | play_ | ) | const

Set the Edje object to playing or paused states.

This function sets the Edje object obj to playing or paused states, depending on the parameter play. This has no effect if the object was already at that state.

See also
  edje_object_play_get().

Parameters

  play | Object state (`EINA_TRUE` to playing, `EINA_FALSE` to paused).

const Edje_Perspective* edje::object::perspective_get | ( |  | ) | const

Get the current perspective used on this Edje object.

Returns
  The perspective object being used on this Edje object. Or `NULL` if there was none, and on errors.

See also
  edje_object_perspective_set()

Parameters

  ps | The perspective object that will be used.

void edje::object::perspective_set | ( | Edje_Perspective * | ps_ | ) | const

Set the given perspective object on this Edje object.

Make the given perspective object be the default perspective for this Edje object.

There can be only one perspective object per Edje object, and if a previous one was set, it will be removed and the new perspective object will be used.

An Edje perspective will only affect a part if it doesn't point to another part to be used as perspective.

See also
  edje_object_perspective_new()
  edje_object_perspective_get()
  edje_perspective_set()

Parameters

  ps | The perspective object that will be used.

double edje::object::scale_get | ( |  | ) | const

Get a given Edje object's scaling factor.

This function returns the `individual` scaling factor set on the obj Edje object.

See also
  edje_object_scale_set() for more details

Parameters

  scale | The scaling factor (the default value is `0.0`, meaning individual scaling not set)

bool edje::object::scale_set | ( | double | scale_ | ) | const

Set the scaling factor for a given Edje object.

This function sets an individual scaling factor on the obj Edje object. This property (or Edje's global scaling factor, when applicable), will affect this object's part sizes. If `scale` is not zero, than the individual scaling will override any global scaling set, for the object `obj's` parts. Put it back to zero to get the effects of the global scaling again.

Warning
  Only parts which, at EDC level, had the `"scale"` property set to `1`, will be affected by this function. Check the complete syntax reference for EDC files.

See also
  edje_object_scale_get()
  edje_scale_get() for more details

Parameters

  scale | The scaling factor (the default value is `0.0`, meaning individual scaling not set)

double edje::object::base_scale_get | ( |  | ) | const

Get a given Edje object's base_scale factor.

This function returns the base_scale factor set on the obj Edje object. The base_scale can be set in the collection of edc. If it isn't set, the default value is 1.0

Parameters

  base_scale |

void edje::object::text_change_cb_set | ( | Edje_Text_Change_Cb | func_,
|  | void * | data_
| ) |  | const

Set the object text callback.

This function sets the callback to be called when the text changes.

Parameters

  func | The callback function to handle the text change
  data | The data associated to the callback function.

void edje::object::part_text_cursor_begin_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Moves the cursor to the beginning of the text part.

See also
  evas_textblock_cursor_paragraph_first

Parameters

  part | The part name
  cur | the edje cursor to work on

void edje::object::part_text_cursor_line_end_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Move the cursor to the end of the line.

See also
  evas_textblock_cursor_line_char_last

Parameters

  part | The part name
  cur | the edje cursor to work on

bool edje::object::text_class_set | ( | ::efl::eina::string_view | text_class_,
|  | ::efl::eina::string_view | font_,
|  | Evas_Font_Size | size_
| ) |  | const

Sets Edje text class.

Returns
  `EINA_TRUE`, on success or `EINA_FALSE`, on error

This function sets the text class for the Edje.

Parameters

  text_class | The text class name
  font | Font name
  size | Font Size

bool edje::object::part_text_cursor_coord_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_,
|  | Evas_Coord | x_,
|  | Evas_Coord | y_
| ) |  | const

Position the given cursor to a X,Y position.

This is frequently used with the user cursor.

Returns
  True on success, false on error.

Parameters

  part | The part containing the object.
  cur | The cursor to adjust.
  x | X Coordinate.
  y | Y Coordinate.

void edje::object::part_text_cursor_end_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Moves the cursor to the end of the text part.

See also
  evas_textblock_cursor_paragraph_last

Parameters

  part | The part name
  cur | the edje cursor to work on

bool edje::object::part_text_escaped_set | ( | ::efl::eina::string_view | part_,
|  | ::efl::eina::string_view | text_
| ) |  | const

Sets the text for an object part, but converts HTML escapes to UTF8.

This converts the given string `text` to UTF8 assuming it contains HTML style escapes like "&amp;" and "&copy;" etc. IF the part is of type TEXT, as opposed to TEXTBLOCK.

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

Since
  1.2

Parameters

  part | The part name
  text | The text string

void edje::object::item_provider_set | ( | Edje_Item_Provider_Cb | func_,
|  | void * | data_
| ) |  | const

Set the function that provides item objects for named items in an edje entry text.

Item objects may be deleted any time by Edje, and will be deleted when the Edje object is deleted (or file is set to a new file).

Parameters

  func | The function to call (or NULL to disable) to get item objects
  data | The data pointer to pass to the `func` callback

void edje::object::part_text_cursor_line_begin_set | ( | ::efl::eina::string_view | part_,
|  | Edje_Cursor | cur_
| ) |  | const

Move the cursor to the beginning of the line.

See also
  evas_textblock_cursor_line_char_first

Parameters

  part | The part name
  cur | the edje cursor to work on

void edje::object::message_handler_set | ( | Edje_Message_Handler_Cb | func_,
|  | void * | data_
| ) |  | const

Set an Edje message handler function for a given Edje object.

For scriptable programs on an Edje object's defining EDC file which send messages with the `send_message()` primitive, one can attach handler functions, to be called in the code which creates that object (see the syntax for EDC files).

This function associates a message handler function and the attached data pointer to the object `obj`.

See also
  edje_object_message_send()

Parameters

  func | The function to handle messages coming from `obj`
  data | Auxiliary data to be passed to `func`

void edje::object::size_min_get | ( | Evas_Coord * | minw_,
|  | Evas_Coord * | minh_
| ) |  | const

Get the minimum size specified – as an EDC property – for a given Edje object.

This function retrieves the `obj` object's minimum size values, as declared in its EDC group definition. Minimum size of groups have the following syntax

collections {
group {
name: "a_group";
min: 100 100;
}
}

where one declares a minimum size of 100 pixels both for width and height. Those are (hint) values which should be respected when the given object/group is to be controlled by a given container object (e.g. an Edje object being "swallowed" into a given `SWALLOW` typed part, as in edje_object_part_swallow()). Check the complete syntax reference for EDC files.

Note
  If the `min` EDC property was not declared for `obj`, this call will return the value 0, for each axis.
  On failure, this function will make all non-`NULL` size pointers' pointed variables be set to zero.

See also
  edje_object_size_max_get()

Parameters

  minw | Pointer to a variable where to store the minimum width
  minh | Pointer to a variable where to store the minimum height

::efl::eina::range_list< ::efl::eina::string_view > edje::object::access_part_list_get | ( |  | ) | const

Retrieve a list all accessibility part names.

Returns
  A list all accessibility part names on `obj`

Since
  1.7.0

Edje_Load_Error edje::object::load_error_get | ( |  | ) | const

Gets the (last) file loading error for a given Edje object.

Returns
  The Edje loading error, one of:
  - EDJE_LOAD_ERROR_NONE
  - EDJE_LOAD_ERROR_GENERIC
  - EDJE_LOAD_ERROR_DOES_NOT_EXIST
  - EDJE_LOAD_ERROR_PERMISSION_DENIED
  - EDJE_LOAD_ERROR_RESOURCE_ALLOCATION_FAILED
  - EDJE_LOAD_ERROR_CORRUPT_FILE
  - EDJE_LOAD_ERROR_UNKNOWN_FORMAT
  - EDJE_LOAD_ERROR_INCOMPATIBLE_FILE
  - EDJE_LOAD_ERROR_UNKNOWN_COLLECTION
  - EDJE_LOAD_ERROR_RECURSIVE_REFERENCE

This function is meant to be used after an Edje EDJ file loading, what takes place with the edje_object_file_set() function. If that function does not return `EINA_TRUE`, one should check for the reason of failure with this one.

See also
  edje_load_error_str()

void edje::object::size_max_get | ( | Evas_Coord * | maxw_,
|  | Evas_Coord * | maxh_
| ) |  | const

Get the maximum size specified – as an EDC property – for a given Edje object.

This function retrieves the `obj` object's maximum size values, as declared in its EDC group definition. Maximum size of groups have the following syntax

collections {
group {
name: "a_group";
max: 100 100;
}
}

where one declares a maximum size of 100 pixels both for width and height. Those are (hint) values which should be respected when the given object/group is to be controlled by a given container object (e.g. an Edje object being "swallowed" into a given `SWALLOW` typed part, as in edje_object_part_swallow()). Check the complete syntax reference for EDC files.

Note
  If the `max` EDC property was not declared for `obj`, this call will return the maximum size a given Edje object may have, for each axis.
  On failure, this function will make all non-`NULL` size pointers' pointed variables be set to zero.

See also
  edje_object_size_min_get()

Parameters

  maxw | Pointer to a variable where to store the maximum width
  maxh | Pointer to a variable where to store the maximum height